### Enumeration

# GtkDebugFlags

#### Declaration

    flags Gtk.DebugFlags

#### Description [src]

Flags to use with gtk_set_debug_flags().

Settings these flags causes GTK to print out different types of debugging information. Some of these flags are only available when GTK has been configured with `-Ddebug=true`.

#### Members

`GTK_DEBUG_TEXT`

  Information about GtkTextView.

  - Value: `1`
  - Nickname: `text`
  - Available since: 4.0
`GTK_DEBUG_TREE`

  Information about GtkTreeView.

  - Value: `2`
  - Nickname: `tree`
  - Available since: 4.0
`GTK_DEBUG_KEYBINDINGS`

  Information about keyboard shortcuts.

  - Value: `4`
  - Nickname: `keybindings`
  - Available since: 4.0
`GTK_DEBUG_MODULES`

  Information about modules and extensions.

  - Value: `8`
  - Nickname: `modules`
  - Available since: 4.0
`GTK_DEBUG_GEOMETRY`

  Information about size allocation.

  - Value: `16`
  - Nickname: `geometry`
  - Available since: 4.0
`GTK_DEBUG_ICONTHEME`

  Information about icon themes.

  - Value: `32`
  - Nickname: `icontheme`
  - Available since: 4.0
`GTK_DEBUG_PRINTING`

  Information about printing.

  - Value: `64`
  - Nickname: `printing`
  - Available since: 4.0
`GTK_DEBUG_BUILDER`

  Trace GtkBuilder operation.

  - Value: `128`
  - Nickname: `builder`
  - Available since: 4.0
`GTK_DEBUG_SIZE_REQUEST`

  Information about size requests.

  - Value: `256`
  - Nickname: `size-request`
  - Available since: 4.0
`GTK_DEBUG_NO_CSS_CACHE`

  Disable the style property cache.

  - Value: `512`
  - Nickname: `no-css-cache`
  - Available since: 4.0
`GTK_DEBUG_INTERACTIVE`

  Open the GTK inspector.

  - Value: `1024`
  - Nickname: `interactive`
  - Available since: 4.0
`GTK_DEBUG_ACTIONS`

  Information about actions and menu models.

  - Value: `4096`
  - Nickname: `actions`
  - Available since: 4.0
`GTK_DEBUG_LAYOUT`

  Information from layout managers.

  - Value: `8192`
  - Nickname: `layout`
  - Available since: 4.0
`GTK_DEBUG_SNAPSHOT`

  Include debug render nodes in the generated snapshots.

  - Value: `16384`
  - Nickname: `snapshot`
  - Available since: 4.0
`GTK_DEBUG_CONSTRAINTS`

  Information from the constraints solver.

  - Value: `32768`
  - Nickname: `constraints`
  - Available since: 4.0
`GTK_DEBUG_BUILDER_OBJECTS`

  Log unused GtkBuilder objects.

  - Value: `65536`
  - Nickname: `builder-objects`
  - Available since: 4.0
`GTK_DEBUG_A11Y`

  Information about accessibility state changes.

  - Value: `131072`
  - Nickname: `a11y`
  - Available since: 4.0
`GTK_DEBUG_ICONFALLBACK`

  Information about icon fallback.

  - Value: `262144`
  - Nickname: `iconfallback`
  - Available since: 4.2
`GTK_DEBUG_INVERT_TEXT_DIR`

  Inverts the default text-direction.

  - Value: `524288`
  - Nickname: `invert-text-dir`
  - Available since: 4.8